'use strict';

function TextAutoResize({
  id,
  minRows = 2,
  maxRows = 5,
  className,
  style,
  placeholder,
  disabled,
  onKeyUp,
  onChange
}) {
  let textAreaInput = "";
  const defaultRows = 5;
  const setTextAreaInput = e => {
    textAreaInput = e.target.value;
    const textArea = document.getElementById(id);
    textArea.style.height = "auto";
    textArea.style.height = `${getHeight(textArea)}px`;
    onChange(textAreaInput);
    const newLines = (textAreaInput.match(/\n/g) || []).length;
    const rows = clamp(newLines + 1, minRows, maxRows || defaultRows);
    textArea.rows = rows;
  };
  return /*#__PURE__*/React.createElement("textarea", {
    id: id,
    rows: minRows,
    onChange: setTextAreaInput,
    className: className,
    style: {
      ...style,
      resize: "none"
    },
    placeholder: placeholder,
    disabled: disabled,
    onKeyUp: onKeyUp
  });
}
function getHeight(element) {
  return element.scrollHeight;
}
function clamp(value, min, max) {
  return Math.min(Math.max(value, min), max);
}

module.exports = TextAutoResize;
